Package com.macrofocus.high_d.tablelens.javafx

# Class JavaFXTableLensComponent<Row,Column>

java.lang.Object
com.macrofocus.high_d.tablelens.AbstractTableLensComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>
com.macrofocus.high_d.tablelens.javafx.JavaFXTableLensComponent<Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<javafx.scene.Node>`, `com.macrofocus.crossplatform.CPInteractiveComponent<javafx.scene.Node>`, `TableLensComponent<javafx.scene.Node,Row,Column>`

public class JavaFXTableLensComponent<Row,Column> extends AbstractTableLensComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.high_d.tablelens.AbstractTableLensComponent

  `AbstractTableLensComponent.AbstractVisualLayerIDrawing`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.tablelens.AbstractTableLensComponent

  `canvas, model, timer, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXTableLensComponent(TableLensView view)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getHeight()`
  `javafx.scene.Node`
  `getNativeComponent()`
  `protected int`
  `getWidth()`
  `protected void`
  `refresh()`
  `protected void`
  `repaint()`
  `void`
  `scheduleUpdate()`
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.macrofocus.high_d.tablelens.AbstractTableLensComponent

  `addMouseListener, addMouseMotionListener, createOverplots, getClosestRow, getRows, removeMouseListener, removeMouseMotionListener, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXTableLensComponent

    public JavaFXTableLensComponent(TableLensView view)

- ## Method Details

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()

  - ### scheduleUpdate

    public void scheduleUpdate()

  - ### getWidth

    protected int getWidth()
    Specified by:
      `getWidth` in class `AbstractTableLensComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### getHeight

    protected int getHeight()
    Specified by:
      `getHeight` in class `AbstractTableLensComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### refresh

    protected void refresh()
    Specified by:
      `refresh` in class `AbstractTableLensComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### repaint

    protected void repaint()
    Specified by:
      `repaint` in class `AbstractTableLensComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`